Bug 481293 - Possible to open more than one window per running transaction
Possible to open more than one window per running transaction
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 08:44 EST by Michael Monreal
Modified: 2009-06-03 04:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 04:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2009-01-23 08:44:43 EST
[Splitting this out of bug 480908]

Example:

- have PK download a package, keep the window open

- the download will also be shown in the notification tray

- clicking the "downloading xyz" entry there opens another download window (and clicking again opens yet another)

=> clicking on some action which already has a window open should just bring the open window to the foreground
Comment 1 Richard Hughes 2009-01-23 09:03:08 EST
There's a slight issue in that these are different processes when you have tools open, but the same process when in the notification area. I'll take a look at this today.
Comment 2 Richard Hughes 2009-01-26 05:38:00 EST
commit a98e39e000afc013593cfe90d3714b50f1b8551c
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 26 10:37:02 2009 +0000

    bugfix: when the user switches the task to monitor, re-use the existing monitor rather than using a new window. Fixes half of rh#481293
Comment 3 Richard Hughes 2009-06-03 04:53:47 EDT
We don't show the menu item for active transactions (where the callee is still on the bus) anymore.

Note You need to log in before you can comment on or make changes to this bug.